Viso.li

Plans

GEThttps://www.viso.li/api/plans

Returns the public subscription catalog: FREE, STARTER, PRO, and ENTERPRISE, in that order. This is the catalog, not the caller's current subscription.

Prices are US cents. A monthly price of 999 is $9.99.

This endpoint does not use an API key. Requests are limited by client IP.

Example request

Prices are US cents. 999 means $9.99.

1curl https://www.viso.li/api/plans

Success response

Returns 200 OK. Prices are US cents.

response.json
1{
2 "plans": [
3 {
4 "type": "FREE",
5 "name": "Free",
6 "description": "Try link shortening and basic analytics",
7 "popular": false,
8 "pricing": {
9 "currency": "usd",
10 "monthly": 0,
11 "yearly": 0
12 },
13 "features": [
14 "No credit card required",
15 "10 links per month",
16 "1 year of history",
17 "Unlimited QR codes",
18 "Basic analytics"
19 ]
20 },
21 {
22 "type": "STARTER",
23 "name": "Starter",
24 "description": "More links and extended analytics",
25 "popular": false,
26 "pricing": {
27 "currency": "usd",
28 "monthly": 299,
29 "yearly": 2999
30 },
31 "features": [
32 "Everything in Free",
33 "100 links per month",
34 "1 custom domain",
35 "2 year of history",
36 "Extended analytics"
37 ]
38 },
39 {
40 "type": "PRO",
41 "name": "Pro",
42 "description": "Campaigns with advanced analytics and API",
43 "popular": true,
44 "pricing": {
45 "currency": "usd",
46 "monthly": 999,
47 "yearly": 9999
48 },
49 "features": [
50 "Everything in Starter",
51 "500 links per month",
52 "3 custom domains",
53 "API access",
54 "Advanced analytics"
55 ]
56 },
57 {
58 "type": "ENTERPRISE",
59 "name": "Enterprise",
60 "description": "High-volume links with long retention",
61 "popular": false,
62 "pricing": {
63 "currency": "usd",
64 "monthly": 4999,
65 "yearly": 49999
66 },
67 "features": [
68 "Everything in Pro",
69 "75,000 links per month",
70 "10 custom domains",
71 "5 year of history",
72 "Priority support"
73 ]
74 }
75 ]
76}

Response fields

FieldTypeDescription
plansobject[]Required. Catalog plans from FREE through ENTERPRISE.
plans[].typestringRequired. FREE, STARTER, PRO, or ENTERPRISE.
plans[].namestringRequired. Display name of the plan.
plans[].descriptionstringRequired. Short description of the plan.
plans[].popularbooleanRequired. True for the plan highlighted as most popular.
plans[].pricing.currencystringRequired. Currency code. Always usd.
plans[].pricing.monthlynumberRequired. Monthly price in US cents. 999 is $9.99.
plans[].pricing.yearlynumberRequired. Yearly price in US cents.
plans[].featuresstring[]Required. Feature bullets shown for this plan.

Errors

StatusErrorDescription
429Too Many RequestsMore than 2 requests per minute from this IP. The response includes a Retry-After header.
500Internal Server ErrorUnexpected server error. Retry the request.